import type React from 'react';
import type { ConnectionInfo } from '@mongodb-js/connection-storage/renderer';
import type { ImportExportResult, ConnectionShortInfo, CommonImportExportState } from './common';
type ExportConnectionsState = CommonImportExportState<ConnectionShortInfo> & {
    removeSecrets: boolean;
};
export declare function useExportConnections({ finish, favoriteConnections, open, trackingProps, }: {
    finish: (result: ImportExportResult) => void;
    favoriteConnections: Pick<ConnectionInfo, 'favorite' | 'id'>[];
    open: boolean;
    trackingProps?: Record<string, unknown>;
}, exportConnections?: typeof import("@mongodb-js/connection-storage/dist/connection-storage").ConnectionStorage.exportConnections): {
    onCancel: () => void;
    onSubmit: () => void;
    onChangeFilename: (filename: string) => void;
    onChangePassphrase: (passphrase: string) => void;
    onChangeConnectionList: (connectionInfos: ConnectionShortInfo[]) => void;
    onChangeRemoveSecrets: (evt: React.ChangeEvent<HTMLInputElement>) => void;
    state: ExportConnectionsState;
};
export {};
//# sourceMappingURL=use-export.d.ts.map