import type { ConnectionInfo } from '@mongodb-js/connection-storage/renderer';
import { ConnectionStorage } from '@mongodb-js/connection-storage/renderer';
import type { ImportExportResult, ConnectionShortInfo, CommonImportExportState } from './common';
type ConnectionImportInfo = ConnectionShortInfo & {
    isExistingFavorite: boolean;
};
type ImportConnectionsState = CommonImportExportState<ConnectionImportInfo> & {
    passphraseRequired: boolean;
    fileContents: string;
};
export declare function useImportConnections({ finish, favoriteConnections, open, trackingProps, }: {
    finish: (result: ImportExportResult) => void;
    favoriteConnections: Pick<ConnectionInfo, 'favorite' | 'id'>[];
    open: boolean;
    trackingProps?: Record<string, unknown>;
    connectionStorage?: typeof ConnectionStorage;
}, importConnections?: typeof import("@mongodb-js/connection-storage/dist/connection-storage").ConnectionStorage.importConnections, deserializeConnections?: typeof import("@mongodb-js/connection-storage/dist/connection-storage").ConnectionStorage.deserializeConnections): {
    onCancel: () => void;
    onSubmit: () => void;
    onChangeFilename: (filename: string) => void;
    onChangePassphrase: (passphrase: string) => void;
    onChangeConnectionList: (connectionInfos: ConnectionShortInfo[]) => void;
    state: ImportConnectionsState;
};
export {};
//# sourceMappingURL=use-import.d.ts.map